<?
header('Content-Type: application/vnd.ms-excel');
header('Expires: 0');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('content-disposition: attachment;filename=Inscritos.xls');

include ("clases/autor.class.php"); $objd = new autor();
include ("clases/curso.class.php");  $objcur = new curso();
include ("clases/doc_curso.class.php"); $objdc = new doc_curso();
include ("clases/alumno.class.php"); $objalu = new alumno();
include ("clases/matricula.class.php"); $objmat = new matricula();
$cod = $_REQUEST["id"];
//////////////primero traemos los datos de los docentes y el curso//////////////////
if($objdc->BuscarPorCodigo($cod))
 {
   $idcurso = $objdc->getIdcurso();
    ///////ahora traemos al curso///
	if($objcur->BuscarPorCodigo($idcurso))
	   {
	     $curso = $objcur->getCurso();
	    }
	////////////////////////////////
   $iddoc = $objdc->getIddoc();
   ///////////ahora traemos los datos del docente//////////
   if($objd->BuscarPorCodigo($iddoc))
    {
	  $nom = $objd->getNombres()." ".$objd->getApellidos();
	}
 }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Matriculados en: <?=$curso;?></title>

<script>
function confirmar()
{
	if(confirm('Estas seguro de Retirar el Estudiante?'))
		return true;
	else
		return false;
}

$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>
</head>

<body>
<form id="form1" name="form1" method="post" action="">
  <table width="100%" border="0" class="v2-collapse-shadow">
    
    <tr>
      <td><table class="table table-responsive">
        
        <tr>
          <td class="titulo-mantenimiento"><strong>Alumnos Inscritos en el curso de:
              <?=$curso;?>            
              </strong></td>
        </tr>
        <tr>
          <td width="1321" class="titulo-mantenimiento"><strong>Docente Encargado:</strong>            <?=$nom;?></td>
        </tr>
        <tr>
          <td valign="top"><table width="715" border="1" cellspacing="0" bordercolor="#000000" class="table table-responsive">
            <tr class="active">
              <td colspan="2" ><strong>Lista de Estudiantes </strong></td>
              </tr>
            <? 
			  
			  $lista=$objmat->ListarPorDoc_curso($cod);
			 
			  for($i = 0; $i<count($lista); $i++)
			  {
			    if($objalu->BuscarPorCodigo($lista[$i]["idalu"])){
				      $lista[$i]["nombres"]=$objalu->getNombres(); 
					  $lista[$i]["apellidos"]=$objalu->getApellidos(); 
					  $lista[$i]["foto"]=$objalu->getFoto();
				 }				 
			  ?>
            <tr onmouseover="this.style.backgroundColor='#f5f5f5'" onmouseout="this.style.backgroundColor='#FFFFFF'">
              <td width="19" align="left"><?=$i+1;?></td>
              <td width="686" align="left"><?=utf8_decode($lista[$i]["nombres"])." ".utf8_decode($lista[$i]["apellidos"]);?></td>
            </tr>
            <?
			  }
			  ?>
          </table></td>
          </tr>
      </table></td>
    </tr>
  </table>
</form>
</body>
</html>
